GLSA 200805-09 MoinMoin: Privilege escalation
Posted on: 05/11/2008 02:45 PM

A new security update has been released for Gentoo Linux - MoinMoin: Privilege escalation. Here the announcement:

Gentoo Linux Security Advisory GLSA 200805-09
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: MoinMoin: Privilege escalation
Date: May 11, 2008
Bugs: #218752
ID: 200805-09

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability in MoinMoin may allow a remote attacker to elevate his
privileges.

Background
==========

MoinMoin is an advanced and extensible Wiki Engine.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 www-apps/moinmoin lt; 1.6.3 gt;= 1.6.3

Description
===========

It has been reported that the user form processing in the file
userform.py does not properly manage users when using Access Control
Lists or a non-empty superusers list.

Impact
======

A remote attacker could exploit this vulnerability to gain superuser
privileges on the application.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All MoinMoin users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose "gt;=www-apps/moinmoin-1.6.3"

References
==========

[ 1 ] CVE-2008-1937
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1937

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200805-09.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2008 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/glsa_200805_09_moinmoin_privilege_escalation.html)